Page MenuHomeFreeBSD

New port: net-p2p/awgg: Advanced wget GUI
ClosedPublic

Authored by acm on Apr 30 2018, 2:48 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

linimon retitled this revision from New port: net-p2p/awgg to New port: net-p2p/awgg: Advanced wget GUI.Aug 2 2018, 10:13 PM
  • Apply mat's suggestions

Does not add FLAVORS, no need for portmgr approval.

Makefile
13–15 ↗(On Diff #46236)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

Makefile
13–15 ↗(On Diff #46236)

I have looked at https://svnweb.freebsd.org/ports/head/databases/qof/Makefile?revision=428152&view=markup (it is a Makefile sample listed at https://www.freebsd.org/doc/en/books/porters-handbook/conflicts.html) and I saw that CONFLICTS is defined after of LICENSE or is it different with flavor_CONFLICTS? or Do I must define them before of LAZARUS_ARGS?

Makefile
13–15 ↗(On Diff #46236)

databases/qof is almost all wrong in where things should be. The only bit that was of interest was the globing used in the CONFLICTS line.

Please follow the link I gave you.

  • Apply mat's suggestions
acm marked 3 inline comments as done.Aug 6 2018, 6:45 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 7 2018, 7:09 AM
Closed by commit rP476572: - New port: net-p2p/awgg (authored by acm). · Explain Why
This revision was automatically updated to reflect the committed changes.
Makefile
40–42 ↗(On Diff #46352)

Wrong place in the Makefile, flavors helpers. See Chapter 15. Order of Variables in Port Makefiles.